Bug 172201 - www/firefox options too long for 8-stable
www/firefox options too long for 8-stable
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: dougb
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 10:30 UTC by dougb
Modified: 2012-10-05 00:04 UTC (History)
0 users

See Also:


Attachments
smime.p7s (4.31 KB, application/pkcs7-signature)
2012-10-01 11:06 UTC, amarat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dougb freebsd_committer 2012-10-01 10:30:02 UTC
	The GCONF and GNOMEVFS2 options definitions are too long, and cause the
	display to wrap in 8-stable

Fix: 

Shorten them
How-To-Repeat: 	Boot 8-stable, cd /usr/ports/www/firefox, make config
Comment 1 Edwin Groothuis freebsd_committer 2012-10-01 10:30:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 amarat 2012-10-01 11:06:18 UTC
the same applies to www/seamonkey
-- 
SY, Marat
Comment 3 dfilter freebsd_committer 2012-10-04 23:57:53 UTC
Author: dougb
Date: Thu Oct  4 22:57:45 2012
New Revision: 305288
URL: http://svn.freebsd.org/changeset/ports/305288

Log:
  Remove the word 'support' from most places that it occurs, since it is
  not only redundant and repetitive, it makes the descriptions of some
  options too long for RELENG_8. Removing it does not make the meaning of
  the option description less clear.
  
  While I'm here, make a few of the options more consistent with each other.
  
  PR:		ports/172201
  Submitted by:	me

Modified:
  head/Mk/bsd.gnome.mk
  head/Mk/bsd.options.desc.mk

Modified: head/Mk/bsd.gnome.mk
==============================================================================
--- head/Mk/bsd.gnome.mk	Thu Oct  4 22:29:17 2012	(r305287)
+++ head/Mk/bsd.gnome.mk	Thu Oct  4 22:57:45 2012	(r305288)
@@ -448,7 +448,7 @@ gtksourceview2_USE_GNOME_IMPL=gtk20 libx
 
 pkgconfig_DETECT=		${LOCALBASE}/bin/pkgconf
 pkgconfig_BUILD_DEPENDS=	pkgconf:${PORTSDIR}/devel/pkgconf
-pkgconfig_RUN_DEPENDS=		pkgconf:${PORTSDIR}/devel/pkgconf
+#pkgconfig_RUN_DEPENDS=		pkgconf:${PORTSDIR}/devel/pkgconf
 
 libgsf_LIB_DEPENDS=			gsf-1.114:${PORTSDIR}/devel/libgsf
 libgsf_DETECT=			${LOCALBASE}/libdata/pkgconfig/libgsf-1.pc

Modified: head/Mk/bsd.options.desc.mk
==============================================================================
--- head/Mk/bsd.options.desc.mk	Thu Oct  4 22:29:17 2012	(r305287)
+++ head/Mk/bsd.options.desc.mk	Thu Oct  4 22:57:45 2012	(r305288)
@@ -13,327 +13,327 @@ Options_Desc_MAINTAINER=	ports@FreeBSD.o
 # OPTION_DESC:		 Description:
 #  Length         |	|                   Length                |
 #
-A52_DESC?=		AC-3 support via liba52
-AAC_DESC?=		AAC/MP4 format support
-AACPLUS_DESC?=		AAC support via libaacplus
-AALIB_DESC?=		AAlib graphics library support
-ALSA_DESC?=		ALSA audio architecture support
-AMR_DESC?=		AMR 3GPP speech codec support (opencore)
-AMR_NB_DESC?=		AMR Narrow Band audio support (opencore)
-AMR_WB_DESC?=		AMR Wide Band audio support (opencore)
-AO_DESC?=		libao audio library support
-APACHE_DESC?=		Apache server support
-APE_DESC?=		Monkey's Audio lossless format support
-ARCHIVE_DESC?=		bzip2/zip/iso9660 archive support
-ARTS_DESC?=		aRts audio system support
+A52_DESC?=		AC-3 via liba52
+AAC_DESC?=		AAC/MP4 format
+AACPLUS_DESC?=		AAC via libaacplus
+AALIB_DESC?=		AAlib graphics library
+ALSA_DESC?=		ALSA audio architecture
+AMR_DESC?=		AMR 3GPP speech codec (opencore)
+AMR_NB_DESC?=		AMR Narrow Band audio (opencore)
+AMR_WB_DESC?=		AMR Wide Band audio (opencore)
+AO_DESC?=		libao audio library
+APACHE_DESC?=		Apache server
+APE_DESC?=		Monkey's Audio lossless format
+ARCHIVE_DESC?=		bzip2/zip/iso9660 archive
+ARTS_DESC?=		aRts audio system
 ASM_DESC?=		Use optimized assembly code
-ASPELL_DESC?=		Spell checking support via GNU Aspell
+ASPELL_DESC?=		Spell checking via GNU Aspell
 ASSERT_DESC?=		Enable debug assertions
-AVAHI_DESC?=		Zeroconf support (via Avahi)
-BDB_DESC?=		Berkeley DB support
-BDB1_DESC?=		Berkeley DB 1.85 support
+AVAHI_DESC?=		Zeroconf via Avahi
+BDB_DESC?=		Berkeley Database
+BDB1_DESC?=		Berkeley DB 1.85
 BITTORRENT_DESC?=	BitTorrent support
-BOOST_DESC?=		Boost C++ libraries support
-BZIP2_DESC?=		bzip2 compression support
-CACA_DESC?=		libcaca graphics library support
-CAIRO_DESC?=		Cairo graphics library support
+BOOST_DESC?=		Boost C++ libraries
+BZIP2_DESC?=		bzip2 compression
+CACA_DESC?=		libcaca graphics library
+CAIRO_DESC?=		Cairo graphics library
 CARES_DESC?=		Asynchronous DNS resolution via c-ares
-CDDA2WAV_DESC?=		CD ripping support (cdda2wav)
-CDDB_DESC?=		CDDB (compact disc database) support
-CDIO_DESC?=		CDIO support via libcdio
-CDPARANOIA_DESC?=	CD ripping support (cdparanoia)
-CELT_DESC?=		CELT audio codec support
-CFITSIO_DESC?=		FITS support via CFITSIO
-COMPOSITE_DESC?=	X11 Composite extension support
-CUE_DESC?=		Embedded CUE sheets support
-CUPS_DESC?=		CUPS printing system support
-CURL_DESC?=		Data transfer support via cURL
+CDDA2WAV_DESC?=		CD ripping (cdda2wav)
+CDDB_DESC?=		CDDB (compact disc database)
+CDIO_DESC?=		CDIO via libcdio
+CDPARANOIA_DESC?=	CD ripping (cdparanoia)
+CELT_DESC?=		CELT audio codec
+CFITSIO_DESC?=		FITS via CFITSIO
+COMPOSITE_DESC?=	X11 Composite extension
+CUE_DESC?=		Embedded CUE sheets
+CUPS_DESC?=		CUPS printing system
+CURL_DESC?=		Data transfer via cURL
 CXX_DESC?=		C++ support
-DAGRAB_DESC?=		CD ripping support (dagrab)
+DAGRAB_DESC?=		CD ripping (dagrab)
 DATA_DESC?=		Install data files
 DBM_DESC?=		DBM support
-DBUS_DESC?=		D-Bus IPC system support
-DCA_DESC?=		DTS support via libdca
-DCRAW_DESC?=		dcraw (raw image converter) support
+DBUS_DESC?=		D-Bus IPC system
+DCA_DESC?=		DTS via libdca
+DCRAW_DESC?=		dcraw (raw image converter)
 DEBUG_DESC?=		Install debug symbols
 DEVD_DESC?=		Install devd(8) files
-DIRAC_DESC?=		Dirac codec support via libdirac
+DIRAC_DESC?=		Dirac codec via libdirac
 DOCS_DESC?=		Build and/or install documentation
 DOXYGEN_DESC?=		Build documentation with Doxygen
-DV_DESC?=		Quasar DV video codec support (libdv)
-DVDCSS_DESC?=		Encrypted DVD support via libdvdcss
-ECW_DESC?=		ECW image format support
-ESOUND_DESC?=		EsounD sound server support
+DV_DESC?=		Quasar DV video codec (libdv)
+DVDCSS_DESC?=		Encrypted DVD via libdvdcss
+ECW_DESC?=		ECW image format
+ESOUND_DESC?=		EsounD sound server
 EXAMPLES_DESC?=		Build and/or install examples
-EXPAT_DESC?=		Expat XML parser support
-FAAC_DESC?=		FAAC AAC encoder support
-FAAD_DESC?=		FAAD AAC decoder support
-FAM_DESC?=		File Alteration Monitor support
+EXPAT_DESC?=		Expat XML parser
+FAAC_DESC?=		FAAC AAC encoder
+FAAD_DESC?=		FAAD AAC decoder
+FAM_DESC?=		File Alteration Monitor
 FASTCGI_DESC?=		FastCGI support
-FFMPEG_DESC?=		FFmpeg support (WMA, AIFF, AC3, APE...)
-FFTW_DESC?=		Discrete Fourier Transform support
+FFMPEG_DESC?=		FFmpeg (WMA, AIFF, AC3, APE...)
+FFTW_DESC?=		Discrete Fourier Transform
 FINGER_DESC?=		Finger support
-FIREBIRD_DESC?=		Firebird (Interbase) database support
-FLAC_DESC?=		FLAC lossless audio codec support
-FLICKR_DESC?=		Flickr support via flickcurl
-FONTCONFIG_DESC?=	X11 font configuration support
+FIREBIRD_DESC?=		Firebird (Interbase) database
+FLAC_DESC?=		FLAC lossless audio codec
+FLICKR_DESC?=		Flickr via flickcurl
+FONTCONFIG_DESC?=	X11 font configuration
 FORTRAN_DESC?=		Fortran support
 FPECTL_DESC?=		Floating point exception handling
-FPX_DESC?=		FlashPix image format support
-FREETDS_DESC?=		FreeTDS library support
-FREETYPE_DESC?=		TrueType font rendering support
-FREI0R_DESC?=		Frei0r video plugins support
-FRIBIDI_DESC?=		Bidirectional text support via GNU FriBidi
+FPX_DESC?=		FlashPix image format
+FREETDS_DESC?=		FreeTDS library
+FREETYPE_DESC?=		TrueType font rendering
+FREI0R_DESC?=		Frei0r video plugins
+FRIBIDI_DESC?=		Bidirectional text via GNU FriBidi
 FTP_DESC?=		FTP support
-FUSE_DESC?=		FUSE (Filesystem in Userspace) support
-GCONF_DESC?=		GConf configuration backend support
-GD_DESC?=		GD graphics library support
-GDBM_DESC?=		GNU dbm library support
+FUSE_DESC?=		FUSE (Filesystem in Userspace)
+GCONF_DESC?=		GConf configuration backend
+GD_DESC?=		GD graphics library
+GDBM_DESC?=		GNU dbm library
 GDM_DESC?=		Install GDM login manager
 GEOIP_DESC?=		GeoIP support
 GEOS_DESC?=		GEOS support
-GEOTIFF_DESC?=		GeoTIFF file format support
-GGI_DESC?=		General Graphics Interface support
-GIF_DESC?=		GIF image format support
-GLADE_DESC?=		Glade interface builder support
-GLX_DESC?=		X11 OpenGL rendering support
-GMP_DESC?=		GMP (multiple precision arithmetic) support
-GNOME_DESC?=		GNOME desktop environment support
-GNOMEKEYRING_DESC?=	GNOME Keyring password manager support
-GNOMEVFS2_DESC?=	GnomeVFS2 (virtual file system) support
-GNUPG_DESC?=		GNU Privacy Guard support
-GNUPLOT_DESC?=		Plotting support via gnuplot
-GNUTLS_DESC?=		SSL/TLS support via GnuTLS
-GOGO_DESC?=		GOGO MP3 audio encoder support
+GEOTIFF_DESC?=		GeoTIFF file format
+GGI_DESC?=		General Graphics Interface
+GIF_DESC?=		GIF image format
+GLADE_DESC?=		Glade interface builder
+GLX_DESC?=		X11 OpenGL rendering
+GMP_DESC?=		GMP (multiple precision arithmetic)
+GNOME_DESC?=		GNOME desktop environment
+GNOMEKEYRING_DESC?=	GNOME Keyring password manager
+GNOMEVFS2_DESC?=	GnomeVFS2 (virtual file system)
+GNUPG_DESC?=		GNU Privacy Guard
+GNUPLOT_DESC?=		Plotting via gnuplot
+GNUTLS_DESC?=		SSL/TLS via GnuTLS
+GOGO_DESC?=		GOGO MP3 audio encoder
 GOPHER_DESC?=		Gopher support
-GPERFTOOLS_DESC?=	Google gperftools support
-GPHOTO_DESC?=		Digital cameras support via libgphoto2
-GRAPHMAGICK_DESC?=	GraphicsMagick support
+GPERFTOOLS_DESC?=	Google gperftools
+GPHOTO_DESC?=		Digital cameras via libgphoto2
+GRAPHMAGICK_DESC?=	GraphicsMagick
 GRAPHVIZ_DESC?=		Graphviz support
 GRASS_DESC?=		GRASS support
 GSM_DESC?=		GSM codec support
 GSSAPI_DESC?=		GSSAPI support
-GSTREAMER_DESC?=	Multimedia support via GStreamer
-GTK1_DESC?=		GTK+ 1 GUI toolkit support
-GTK2_DESC?=		GTK+ 2 GUI toolkit support
-GTK3_DESC?=		GTK+ 3 GUI toolkit support
-GUI_DESC?=		GUI (Graphical User Interface) support
-GUILE_DESC?=		Guile extension language support
-GVFS_DESC?=		Virtual filesystems support via GVFS
+GSTREAMER_DESC?=	Multimedia via GStreamer
+GTK1_DESC?=		GTK+ 1 GUI toolkit
+GTK2_DESC?=		GTK+ 2 GUI toolkit
+GTK3_DESC?=		GTK+ 3 GUI toolkit
+GUI_DESC?=		GUI (Graphical User Interface)
+GUILE_DESC?=		Guile extension language
+GVFS_DESC?=		Virtual filesystems via GVFS
 H323_DESC?=		H.323 support
-HAL_DESC?=		HAL (Hardware Abstraction Layer) support
-HDF5_DESC?=		HDF-5 data format support
-HTTPD_DESC?=		httpd output streaming support
+HAL_DESC?=		HAL (Hardware Abstraction Layer)
+HDF5_DESC?=		HDF-5 data format
+HTTPD_DESC?=		httpd output streaming
 ICONS_DESC?=		Install icons theme
-ICONV_DESC?=		Encoding conversion support via iconv
-ID3_DESC?=		ID3 tags support
-ID3TAG_DESC?=		ID3 v1/v2 tags support
-IDN_DESC?=		International Domain Names support
-IMAGEMAGICK_DESC?=	ImageMagick support
-IMLIB_DESC?=		imlib image library support
-IMLIB2_DESC?=		imlib2 image library support
+ICONV_DESC?=		Encoding conversion via iconv
+ID3_DESC?=		ID3 tags
+ID3TAG_DESC?=		ID3 v1/v2 tags
+IDN_DESC?=		International Domain Names
+IMAGEMAGICK_DESC?=	ImageMagick
+IMLIB_DESC?=		imlib image library
+IMLIB2_DESC?=		imlib2 image library
 IODBC_DESC?=		ODBC backend via iODBC
-IPV4_DESC?=		IPv4 protocol support
-IPV6_DESC?=		IPv6 protocol support
+IPV4_DESC?=		IPv4 protocol
+IPV6_DESC?=		IPv6 protocol
 JABBER_DESC?=		Jabber support
-JACK_DESC?=		JACK audio server support
-JASPER_DESC?=		JPEG 2000 support via JasPer
-JAVA_DESC?=		Java platform support
-JBIG_DESC?=		JBIG image format support
-JHEAD_DESC?=		jhead EXIF manipulator support
-JPEG_DESC?=		JPEG image format support
-KDE3_DESC?=		KDE 3 desktop environment support
-KDE4_DESC?=		KDE 4 desktop environment support
+JACK_DESC?=		JACK audio server
+JASPER_DESC?=		JPEG 2000 via JasPer
+JAVA_DESC?=		Java platform
+JBIG_DESC?=		JBIG image format
+JHEAD_DESC?=		jhead EXIF manipulator
+JPEG_DESC?=		JPEG image format
+KDE3_DESC?=		KDE 3 desktop environment
+KDE4_DESC?=		KDE 4 desktop environment
 KERBEROS_DESC?=		Kerberos support
 KERBEROS4_DESC?=	Kerberos 4 support
 KERBEROS5_DESC?=	Kerberos 5 support
 KML_DESC?=		KML support
-KWALLET_DESC?=		KWallet password manager support
-LADSPA_DESC?=		LADSPA audio plugins support
-LAME_DESC?=		LAME MP3 audio encoder support
-LASH_DESC?=		LASH audio support
-LASTFM_DESC?=		Last.fm streaming support
+KWALLET_DESC?=		KWallet password manager
+LADSPA_DESC?=		LADSPA audio plugins
+LAME_DESC?=		LAME MP3 audio encoder
+LASH_DESC?=		LASH audio
+LASTFM_DESC?=		Last.fm streaming
 LATEX_DESC?=		LaTeX support
 LCMS2_DESC?=		LCMS2 support
 LDAP_DESC?=		LDAP support
 LDAPS_DESC?=		LDAPS support
 LFS_DESC?=		Large files support
-LIBBLURAY_DESC?=	Blu-ray discs support via libbluray
+LIBBLURAY_DESC?=	Blu-ray discs via libbluray
 LIBEDIT_DESC?=		readline support
-LIBEV_DESC?=		High-performance events support via libev
-LIBEXIF_DESC?=		EXIF metadata support via libexif
+LIBEV_DESC?=		High-performance events via libev
+LIBEXIF_DESC?=		EXIF metadata via libexif
 LIBEXTRACTOR_DESC?=	libextractor support
-LIBMNG_DESC?=		MNG animated images support via libmng
+LIBMNG_DESC?=		MNG animated images via libmng
 LIBPAPER_DESC?=		libpaper support
-LIBRSVG2_DESC?=		SVG vector graphics support via librsvg2
-LIBVISUAL_DESC?=	Audio visualisation support via libvisual
+LIBRSVG2_DESC?=		SVG vector graphics via librsvg2
+LIBVISUAL_DESC?=	Audio visualisation via libvisual
 LIBWMF_DESC?=		libwmf support
 LIBWRAP_DESC?=		TCP wrapper support
 LIBXINE_DESC?=		libxine support
-LIGHTTPD_DESC?=		Lighttpd server support
+LIGHTTPD_DESC?=		Lighttpd server
 LIRC_DESC?=		LIRC support
-LITE_DESC?=		Reduced features and memory footprint
-LIVEMEDIA_DESC?=	Multimedia streaming support via liveMedia
+LITE_DESC?=		Reduced features/memory footprint
+LIVEMEDIA_DESC?=	Multimedia streaming via liveMedia
 LQR_DESC?=		Liquid Rescale support
-LUA_DESC?=		Lua scripting language support
-LZMA_DESC?=		LZMA compression support
-MAD_DESC?=		MAD MP3 audio decoder support
-MAGICK_DESC?=		ImageMagick library support
+LUA_DESC?=		Lua scripting language
+LZMA_DESC?=		LZMA compression
+MAD_DESC?=		MAD MP3 audio decoder
+MAGICK_DESC?=		ImageMagick library
 MANPAGES_DESC?=		Build and/or install manual pages
 MAPSERVER_DESC?=	Mapserver support
-MATROSKA_DESC?=		Matroska container format support
-MDNSRESPONDER_DESC?=	Zeroconf support (via mDNSResponder)
-MIKMOD_DESC?=		MOD audio format support
+MATROSKA_DESC?=		Matroska container format
+MDNSRESPONDER_DESC?=	Zeroconf via mDNSResponder
+MIKMOD_DESC?=		MOD audio format
 MIXER_DESC?=		Mixer support
-MJPEGTOOLS_DESC?=	MJPEG Tools support
-MMKEYS_DESC?=		Multimedia keys support
-MMS_DESC?=		MMS streaming support
+MJPEGTOOLS_DESC?=	MJPEG Tools
+MMKEYS_DESC?=		Multimedia keys
+MMS_DESC?=		MMS streaming
 MMX_DESC?=		Use MMX optimized routines
 MODPERL_DESC?=		mod_perl support
-MODPLUG_DESC?=		MODPLUG decoder support
-MOTIF_DESC?=		Motif widget library support
+MODPLUG_DESC?=		MODPLUG decoder
+MOTIF_DESC?=		Motif widget library
 MOUSE_DESC?=		Mouse support
-MP3_DESC?=		MP3 audio format support
-MP4_DESC?=		MP4 format support
-MPEG2_DESC?=		MPEG-2 video support via libmpeg2
-MPG123_DESC?=		MP3 decoding support via mpg123
-MPLAYER_DESC?=		MPlayer media player support
+MP3_DESC?=		MP3 audio format
+MP4_DESC?=		MP4 audio format
+MPEG2_DESC?=		MPEG-2 video via libmpeg2
+MPG123_DESC?=		MP3 decoding via mpg123
+MPLAYER_DESC?=		MPlayer media player
 MPLS_DESC?=		MPLS support
-MPP_DESC?=		Musepack audio format support
-MSQL_DESC?=		mSQL database support
-MTP_DESC?=		MTP device support
-MULTIBYTE_DESC?=	Multibyte character encoding support
-MUSEPACK_DESC?=		MPC audio format support
-MYSQL_DESC?=		MySQL database support
+MPP_DESC?=		Musepack audio format
+MSQL_DESC?=		mSQL database
+MTP_DESC?=		MTP device
+MULTIBYTE_DESC?=	Multibyte character encoding
+MUSEPACK_DESC?=		MPC audio format
+MYSQL_DESC?=		MySQL database
 MYSQL_JDBC_DESC?=	JDBC connection to MySQL databases
-NAS_DESC?=		Network Audio System support
-NETCDF_DESC?=		NetCDF data format support
-NETPBM_DESC?=		Netpbm graphics toolkit support
+NAS_DESC?=		Network Audio System
+NETCDF_DESC?=		NetCDF data format
+NETPBM_DESC?=		Netpbm graphics toolkit
 NLS_DESC?=		Native Language Support
 NNTP_DESC?=		NNTP (News) support
-NOTIFY_DESC?=		Startup notification support
-NTLM_DESC?=		NTLM authentication support
-NUMPY_DESC?=		NumPy mathematical computing support
+NOTIFY_DESC?=		Startup notification
+NTLM_DESC?=		NTLM authentication
+NUMPY_DESC?=		NumPy mathematical computing
 OBJC_DESC?=		Objective C support
 ODBC_DESC?=		ODBC backend
 ODF_DESC?=		ODF file support
-OGG_DESC?=		Ogg media format support
+OGG_DESC?=		Ogg media format
 OPENAL_DESC?=		OpenAL support
 OPENCV_DESC?=		OpenCV support
-OPENEXR_DESC?=		HDR support via OpenEXR
+OPENEXR_DESC?=		HDR via OpenEXR
 OPENGL_DESC?=		OpenGL support
-OPENJPEG_DESC?=		Enhanced JPEG graphics support
-OPENMP_DESC?=		Parallel processing support via OpenMP
-OPENSSL_DESC?=		SSL/TLS support via OpenSSL
+OPENJPEG_DESC?=		Enhanced JPEG graphics
+OPENMP_DESC?=		Parallel processing via OpenMP
+OPENSSL_DESC?=		SSL/TLS via OpenSSL
 OPTIMIZED_CFLAGS_DESC?=	Use extra compiler optimizations
-ORACLE_DESC?=		Oracle database support
+ORACLE_DESC?=		Oracle database
 ORACLE_JDBC_DESC?=	JDBC connection to Oracle databases
-OSD_DESC?=		On-screen display support
-OSS_DESC?=		Open Sound System support
+OSD_DESC?=		On-screen display
+OSS_DESC?=		Open Sound System
 PAM_DESC?=		PAM support
-PANGO_DESC?=		Pango rendering library support
+PANGO_DESC?=		Pango rendering library
 PCRE_DESC?=		Use Perl Compatible Regular Expressions
-PDF_DESC?=		PDF document support
-PERL_DESC?=		Perl scripting language support
+PDF_DESC?=		PDF document
+PERL_DESC?=		Perl scripting language
 PGO_DESC?=		Use Profile-Guided Optimization
-PGSQL_DESC?=		PostgreSQL database support
+PGSQL_DESC?=		PostgreSQL database
 PGSQL_JDBC_DESC?=	JDBC connection to PostgreSQL databases
 PHP_DESC?=		PHP binding/support
-PIXBUF_DESC?=		GDK-PixBuf library support
-PNG_DESC?=		PNG image format support
-POPPLER_DESC?=		PDF and PS file support
-PORTAUDIO_DESC?=	PortAudio library support
+PIXBUF_DESC?=		GDK-PixBuf library
+PNG_DESC?=		PNG image format
+POPPLER_DESC?=		PDF and PS file
+PORTAUDIO_DESC?=	PortAudio library
 POSTGIS_DESC?=		PostGIS support
 PRINT_DESC?=		Printer support
-PROFILE_DESC?=		Profiling library support
+PROFILE_DESC?=		Profiling library
 PROJ_DESC?=		PROJ.4 support
 PROXY_DESC?=		Proxy support
 PTH_DESC?=		Use GNU Pth for threading/multiprocessing
-PULSEAUDIO_DESC?=	PulseAudio sound server support
+PULSEAUDIO_DESC?=	PulseAudio sound server
 PYMALLOC_DESC?=		Use Python's internal malloc
-PYTHON_DESC?=		Python binding/support
-QT4_DESC?=		Qt 4 toolkit support
+PYTHON_DESC?=		Python bindings
+QT4_DESC?=		Qt 4 toolkit
 QUICKTIME_DESC?=	QuickTime support
-RADIUS_DESC?=		RADIUS protocol support
+RADIUS_DESC?=		RADIUS protocol
 RAW_DESC?=		RAW support
-RESIN3_DESC?=		Resin 3.x support
-RTMP_DESC?=		RTMP protocol support via librtmp
+RESIN3_DESC?=		Resin 3.x
+RTMP_DESC?=		RTMP protocol via librtmp
 RUBY_DESC?=		Ruby binding/support
-SAMPLERATE_DESC?=	Sample rate conversion support
+SAMPLERATE_DESC?=	Sample rate conversion
 SASL_DESC?=		SASL support
-SCHROEDINGER_DESC?=	Dirac codec support via libschroedinger
-SCIPY_DESC?=		SciPy scientific computing support
-SDL_DESC?=		Simple Direct Media Layer support
-SEM_DESC?=		POSIX semaphores support
-SHOUTCAST_DESC?=	Ogg Icecast and SHOUTcast support
+SCHROEDINGER_DESC?=	Dirac codec via libschroedinger
+SCIPY_DESC?=		SciPy scientific computing
+SDL_DESC?=		Simple Direct Media Layer
+SEM_DESC?=		POSIX semaphores
+SHOUTCAST_DESC?=	Ogg Icecast and SHOUTcast
 SIMD_DESC?=		Use CPU-specific optimizations
-SMB_DESC?=		SMB protocol support
-SNAPPY_DESC?=		Snappy compression library support
+SMB_DESC?=		SMB protocol
+SNAPPY_DESC?=		Snappy compression library
 SNDFILE_DESC?=		libsndfile support
-SNMP_DESC?=		SNMP protocol support
-SOUND_DESC?=		Sound (audio) support
-SPANDSP_DESC?=		Spandsp faxing support
-SPEEX_DESC?=		Speex audio format support
-SQL_DESC?=		SQL database support
-SQLITE_DESC?=		SQLite database support
-SQLITE3_DESC?=		SQLite3 database support
+SNMP_DESC?=		SNMP protocol
+SOUND_DESC?=		Sound (audio)
+SPANDSP_DESC?=		Spandsp faxing
+SPEEX_DESC?=		Speex audio format
+SQL_DESC?=		SQL database
+SQLITE_DESC?=		SQLite database
+SQLITE3_DESC?=		SQLite3 database
 SSE_DESC?=		Use SSE optimized routines
-SSH_DESC?=		SSH protocol support
-SSL_DESC?=		SSL protocol support
+SSH_DESC?=		SSH protocol
+SSL_DESC?=		SSL protocol
 STATIC_DESC?=		Build static executables/libraries
-SVG_DESC?=		SVG vector image format support
-SVGALIB_DESC?=		SVGA graphics support
+SVG_DESC?=		SVG vector image format
+SVGALIB_DESC?=		SVGA graphics
 SVN_DESC?=		Subversion support
-SWFDEC_DESC?=		Flash support via Swfdec
-SZIP_DESC?=		Szip compression support
-TCL_DESC?=		Tcl scripting language support
-TCLTK_DESC?=		Tcl/Tk toolkit support
-THEORA_DESC?=		Ogg Theora video codec support
+SWFDEC_DESC?=		Flash via Swfdec
+SZIP_DESC?=		Szip compression
+TCL_DESC?=		Tcl scripting language
+TCLTK_DESC?=		Tcl/Tk toolkit
+THEORA_DESC?=		Ogg Theora video codec
 THREADS_DESC?=		Threading support
-TIDY_DESC?=		Tidy HTML cleaner support
-TIFF_DESC?=		TIFF image format support
-TINYXML_DESC?=		XML parser support via TinyXML
-TK_DESC?=		Tk toolkit support
+TIDY_DESC?=		Tidy HTML cleaner
+TIFF_DESC?=		TIFF image format
+TINYXML_DESC?=		XML parser via TinyXML
+TK_DESC?=		Tk toolkit
 TLS_DESC?=		TLS support
-TOMCAT5_DESC?=		Tomcat 5.x support
-TOMCAT6_DESC?=		Tomcat 6.x support
-TOMCAT7_DESC?=		Tomcat 7.x support
-TREMOR_DESC?=		Tremor audio decoder support
-TWOLAME_DESC?=		TwoLAME MP2 audio encoder support
-UCS2_DESC?=		Unicode UCS-2 encoding support
-UCS4_DESC?=		Unicode UCS-4 encoding support
+TOMCAT5_DESC?=		Tomcat 5.x
+TOMCAT6_DESC?=		Tomcat 6.x
+TOMCAT7_DESC?=		Tomcat 7.x
+TREMOR_DESC?=		Tremor audio decoder
+TWOLAME_DESC?=		TwoLAME MP2 audio encoder
+UCS2_DESC?=		Unicode UCS-2 encoding
+UCS4_DESC?=		Unicode UCS-4 encoding
 UNIXODBC_DESC?=		ODBC backend via unixODBC
-UNZIP_DESC?=		UnZip compression support
+UNZIP_DESC?=		UnZip compression
 UPNP_DESC?=		UPnP support
-UTF8_DESC?=		Unicode UTF-8 encoding support
-VAAPI_DESC?=		VAAPI (GPU video acceleration) support
-VDPAU_DESC?=		VDPAU (GPU video acceleration) support
+UTF8_DESC?=		Unicode UTF-8 encoding
+VAAPI_DESC?=		VAAPI (GPU video acceleration)
+VDPAU_DESC?=		VDPAU (GPU video acceleration)
 VIDEO_DESC?=		Video support
 VO_AACENC_DESC?=	AAC audio encoding via vo-aacenc
 VO_AMRWBENC_DESC?=	AMR Wide Band encoding via vo-amrwbenc
-VORBIS_DESC?=		Ogg Vorbis audio codec support
-VPX_DESC?=		VP8 video codec support
-WAV_DESC?=		WAV audio format support
-WAVPACK_DESC?=		WavPack lossless audio format support
-WEBP_DESC?=		WebP image format support
+VORBIS_DESC?=		Ogg Vorbis audio codec
+VPX_DESC?=		VP8 video codec
+WAV_DESC?=		WAV audio format
+WAVPACK_DESC?=		WavPack lossless audio format
+WEBP_DESC?=		WebP image format
 WEBSERVER_DESC?=	Build and/or install internal web server
 WMF_DESC?=		Windows Metafile support
-WXGTK_DESC?=		wxGTK GUI toolkit support
-X11_DESC?=		X11 support (graphics)
-X264_DESC?=		H.264 video codec support via x264
-XALAN_DESC?=		Xalan XSLT processor support
-XCURSOR_DESC?=		Cursor themes support
-XERCES_DESC?=		Xerces XML parser support
-XFT_DESC?=		Xft font library support
-XINE_DESC?=		Multimedia support via Xine
-XINERAMA_DESC?=		X11 Xinerama extension support
+WXGTK_DESC?=		wxGTK GUI toolkit
+X11_DESC?=		X11 (graphics) support
+X264_DESC?=		H.264 video codec via x264
+XALAN_DESC?=		Xalan XSLT processor
+XCURSOR_DESC?=		Cursor themes
+XERCES_DESC?=		Xerces XML parser
+XFT_DESC?=		Xft font library
+XINE_DESC?=		Multimedia via Xine
+XINERAMA_DESC?=		X11 Xinerama extension
 XKLAVIER_DESC?=		Keyboard layout settings
-XML_DESC?=		XML parser support
-XPM_DESC?=		XPM pixmaps support
-XRANDR_DESC?=		X11 XRandR extension support
-XSPF_DESC?=		XSPF playlist format support
-XVID_DESC?=		Xvid MPEG-4 video codec support
-XVIDEO_DESC?=		X11 Video extension library support
-XVMC_DESC?=		X11 XvMC video extension support
-YAML_DESC?=		YAML format support
-ZLIB_DESC?=		zlib compression support
+XML_DESC?=		XML parser
+XPM_DESC?=		XPM pixmaps
+XRANDR_DESC?=		X11 XRandR extension
+XSPF_DESC?=		XSPF playlist format
+XVID_DESC?=		Xvid MPEG-4 video codec
+XVIDEO_DESC?=		X11 Video extension library
+XVMC_DESC?=		X11 XvMC video extension
+YAML_DESC?=		YAML format
+ZLIB_DESC?=		zlib compression
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dougb freebsd_committer 2012-10-05 00:03:55 UTC
State Changed
From-To: open->closed


Fixed in ports/Mk/bsd.options.desc.mk 


Comment 5 dougb freebsd_committer 2012-10-05 00:03:55 UTC
Responsible Changed
From-To: gecko->dougb


I fixed it.